{% extends 'base_navbar.html' %}
{% load static widget_tweaks icon %}

{% block title %}
    Génération d'une Note de Frais
{% endblock %}

{% block navbar_tresorerie %}
    active
{% endblock %}

{% block head_css %}
    <link href="{% static 'treso/css/facture.css' %}"
          rel="stylesheet" media="screen">
{% endblock %}

{% block header %}
    <header>
        <h1>Générer une note de frais</h1>
        <div class="header-content">
            <p>
                Sur cette page vous pouvez générer une note de frais.
                <strong>N'oubliez pas d'enregistrer la note de frais ou elle sera perdue !</strong>
            </p>
        </div>
    </header>
{% endblock %}

{% block content %}
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <form method="post" {% block form_target %}target="_blank"{% endblock %} enctype="multipart/form-data">
                    {% csrf_token %}

                    {% if ndfform.non_field_errors %}
                        <div class="alert alert-danger" role="alert">
                            <ul>
                                {% for error in ndfform.non_field_errors %}
                                    <li>{{ error }}</li>
                                {% endfor %}
                            </ul>
                        </div>
                    {% endif %}

                    <h2 class="title">Propriétés</h2>

                    {% for field in ndfform.visible_fields %}
                        <div class="form-group row">
                            <div class="col-12">
                                {{ field.label_tag }}

                                {% if field.errors %}
                                    <ul>
                                        {% for error in field.errors %}
                                            <li>{{ error }}</li>
                                        {% endfor %}
                                    </ul>
                                {% endif %}

                                {% render_field field class="form-control" %}
                                {% if field.help_text %}
                                    <small class="form-text text-muted">{{ field.help_text }}</small>
                                {% endif %}

                            </div>
                        </div>
                    {% endfor %}

                    {{ formset.management_form }}

                    <h2 class="title">Frais</h2>

                    {% for form in formset %}
                        <div class="form-inline form-row">
                            {% if form.id %}
                                {{ form.id.as_hidden }}
                            {% endif %}

                            <div class="input-group mr-sm-2">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><i class="fas fa-tag"></i></span>
                                </div>
                                {% render_field form.frais class="form-control" placeholder="Frais" %}
                            </div>

                            <div class="input-group mr-sm-2">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">Montant</span>
                                </div>
                                {% render_field form.montant class="form-control" min="0" step="0.01" %}
                                <div class="input-group-append">
                                    <span class="input-group-text">
                                        {% icon "treso" "fa-sm" %}
                                    </span>
                                </div>
                            </div>
                            {% block delete_button %}
                            <div class="input-group-append">
                                <button class="btn btn-danger remove-form-row"><i class="fas fa-minus"></i></button>
                            </div>
                            {% endblock %}
                        </div>

                    {% endfor %}
                </form>

                <hr>
                <div class="row">
                    {% block add_button %}
                    <div class="form-group col-md-2">
                        <button type="button" class="btn btn-success form-control add-form-row">
                            <i class="fas fa-plus-circle"></i> Ajouter une ligne
                        </button>
                    </div>
                    {% endblock %}

                    {% block submissionButtons %}
                        <div class="form-group col-md-5">
                            <input type="button" name="generer" class="btn btn-outline-dark form-control"
                                   onclick="send_form('{% url 'note_de_frais' %}')"
                                   value="Générer sans sauvegarder"/>
                        </div>

                        <div class="form-group col-md-5">
                            <input type="button" name="save_generer" class="btn btn-primary form-control"
                                   onclick="send_form('{% url 'note_de_frais_sauvegarder' %}')"
                                   value="Générer et sauvegarder"/>
                        </div>
                    {% endblock %}
                </div>

                <hr>

                {% block additionalContent %}{% endblock %}
            </div>
        </div>
    </div>
{% endblock %}


{% block footer_javascript %}
    {# Date time picker #}
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/moment.min.js"></script>
    <script type="text/javascript"
            src="https://cdnjs.cloudflare.com/ajax/libs/tempusdominus-bootstrap-4/5.0.0/js/tempusdominus-bootstrap-4.min.js"></script>
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/tempusdominus-bootstrap-4/5.0.0/css/tempusdominus-bootstrap-4.min.css"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/locale/fr.js"></script>
    <script src="{% static 'treso/js/facture.js' %}?v=3"></script>
    <script src="{% static 'js/dynamic_forms.js' %}?v=1"></script>

    {% block additionalJavascript %}{% endblock %}
{% endblock %}
